This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 488490 - gdal doesn't built in rawhide
gdal doesn't built in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
rawhide
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 11:41 EST by Dan Horák
Modified: 2009-03-24 07:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 07:19:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2009-03-04 11:41:27 EST
gdal doesn't built in rawhide after the mass rebuild, bootstrapping is required.

for details see https://koji.fedoraproject.org/koji/taskinfo?taskID=1220698

And please add a comment about using modified source archive into the spec file as required by packaging guidelines - https://fedoraproject.org/wiki/Packaging/SourceURL#When_Upstream_uses_Prohibited_Code
Comment 1 Alex Lancaster 2009-03-05 03:28:49 EST
Also, *please* consider opening up the ACLs so that others can help fix the packages in rawhide.  Thanks.
Comment 2 Alex Lancaster 2009-03-14 06:17:57 EDT
ping?  If you can't fix this soon, please open up the ACLs so other can fix it, it has been causing a whole slew of broken deps in rawhide for *weeks* now, and prevents rebuilds of dependent packages such as grass, mapnik, pfstools:

http://koji.fedoraproject.org/mash/rawhide-20090314/logs/depcheck

Broken deps for i386
----------------------------------------------------------
	gdal-1.6.0-4.fc11.i386 requires libodbc.so.1
	gdal-1.6.0-4.fc11.i386 requires libodbcinst.so.1
	gdal-1.6.0-4.fc11.i386 requires libhdf5.so.5
	gdal-perl-1.6.0-4.fc11.i386 requires libodbc.so.1
	gdal-perl-1.6.0-4.fc11.i386 requires libodbcinst.so.1
	gdal-perl-1.6.0-4.fc11.i386 requires libhdf5.so.5
	gdal-ruby-1.6.0-4.fc11.i386 requires libodbc.so.1
	gdal-ruby-1.6.0-4.fc11.i386 requires libodbcinst.so.1
	gdal-ruby-1.6.0-4.fc11.i386 requires libhdf5.so.5
	grass-6.3.0-10.fc11.i386 requires libodbc.so.1
	mapnik-0.5.2-0.10.svn780.fc11.i386 requires dejavu-fonts-sans
	pfstools-imgmagick-1.7.0-3.fc11.i386 requires libMagickCore.so.1
	pfstools-imgmagick-1.7.0-3.fc11.i386 requires libMagick++.so.1
	pfstools-octave-1.7.0-3.fc11.i386 requires libhdf5.so.5
Comment 3 Alex Lancaster 2009-03-20 09:02:40 EDT
OK, so the proximate cause of the failure to rebuild is that grass is build with gdal support, so there's a bootstrapping problem:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1251212

DEBUG backend.py:554:  /usr/bin/yum --installroot /var/lib/mock/dist-f11-build-409055-68418/root/  install  'hdf-devel' 'tetex-latex' 'geos-devel' 'cfitsio-devel' 'ant' 'mysql-devel' 'librx-devel' 'libungif-devel' 'xerces-c-devel' 'libdap-devel' 'python-devel' 'pkgconfig' 'unixODBC-devel' 'numpy' 'perl(ExtUtils::MakeMaker)' 'libtiff-devel' 'jasper-devel' 'libgeotiff-devel' 'ruby-devel' 'swig' 'doxygen' 'libtool' 'postgresql-devel' 'jpackage-utils' 'ruby' 'zlib-devel' 'ghostscript' 'sqlite-devel' 'libjpeg-devel' 'ogdi-devel' 'grass-devel' 'proj-devel' 'netcdf-devel' 'hdf5-devel' 'libpng-devel' 'java-devel'
DEBUG util.py:280:  Executing command: /usr/bin/yum --installroot /var/lib/mock/dist-f11-build-409055-68418/root/  install  'hdf-devel' 'tetex-latex' 'geos-devel' 'cfitsio-devel' 'ant' 'mysql-devel' 'librx-devel' 'libungif-devel' 'xerces-c-devel' 'libdap-devel' 'python-devel' 'pkgconfig' 'unixODBC-devel' 'numpy' 'perl(ExtUtils::MakeMaker)' 'libtiff-devel' 'jasper-devel' 'libgeotiff-devel' 'ruby-devel' 'swig' 'doxygen' 'libtool' 'postgresql-devel' 'jpackage-utils' 'ruby' 'zlib-devel' 'ghostscript' 'sqlite-devel' 'libjpeg-devel' 'ogdi-devel' 'grass-devel' 'proj-devel' 'netcdf-devel' 'hdf5-devel' 'libpng-devel' 'java-devel'
DEBUG util.py:256:  Package 1:pkgconfig-0.23-8.fc11.x86_64 already installed and latest version
DEBUG util.py:256:  gdal-1.6.0-4.fc11.x86_64 from build has depsolving problems
DEBUG util.py:256:    --> Missing Dependency: libodbc.so.1()(64bit) is needed by package gdal-1.6.0-4.fc11.x86_64 (build)
DEBUG util.py:256:  gdal-1.6.0-4.fc11.x86_64 from build has depsolving problems
DEBUG util.py:256:    --> Missing Dependency: libhdf5.so.5()(64bit) is needed by package gdal-1.6.0-4.fc11.x86_64 (build)
DE

full log:

http://koji.fedoraproject.org/koji/getfile?taskID=1251212&name=root.log

So first grass needs to built without gdal, to allow gdal to be built.  Then grass needs to be rebuilt with gdal support.

Currently ACLs for both gdal and grass are closed, meaning that this bug can't be fixed by provenpackager at the moment and the maintainer is not responding.

It is now several weeks of breakage, we should initial non-responsive maintainer process.
Comment 4 Alex Lancaster 2009-03-20 09:19:27 EDT
(In reply to comment #3)
 
> So first grass needs to built without gdal, to allow gdal to be built.  Then
> grass needs to be rebuilt with gdal support.

Sorry that should be the other way around: gdal built without grass support, then build grass, then rebuild gdal with grass support.
Comment 5 Alex Lancaster 2009-03-20 09:58:12 EDT
OK, so I did scratch koji build with the following small change to the spec:

Index: gdal.spec
===================================================================
RCS file: /cvs/pkgs/rpms/gdal/devel/gdal.spec,v
retrieving revision 1.60
diff -r1.60 gdal.spec
23c23
< BuildRequires: ant swig ruby java-devel
---
> BuildRequires: ant swig ruby java-devel-gcj
27c27
< %define grass_support 1
---
> %define grass_support 0

It almost got through the whole build, but failed at the very end:

Processing files: gdal-python-1.6.0-5.fc11.x86_64
error: File not found by glob: /builddir/build/BUILDROOT/gdal-1.6.0-5.fc11.x86_64/usr/bin/*.py?

full log and task:

http://koji.fedoraproject.org/koji/getfile?taskID=1251280&name=build.log
http://koji.fedoraproject.org/koji/taskinfo?taskID=1251280
Comment 6 Lubomir Rintel 2009-03-23 03:04:50 EDT
Thanks for the patch Alex, I've opened a releng ticket to rebuild the package.
https://fedorahosted.org/rel-eng/ticket/1419
Comment 7 Hans de Goede 2009-03-23 06:51:29 EDT
(In reply to comment #6)
> Thanks for the patch Alex, I've opened a releng ticket to rebuild the package.
> https://fedorahosted.org/rel-eng/ticket/1419  

Ah, fun, I've just requested FESco to open up the ACL's, see:
https://fedorahosted.org/fesco/ticket/123

Either way this needs to be resolved. I'll add a comment to the rel-eng ticket about the FESco ticket.
Comment 8 Lubomir Rintel 2009-03-24 07:19:44 EDT
done.

Note You need to log in before you can comment on or make changes to this bug.